PR_CAP_AMBIENT_CLEAR_ALL(2const)

NAME
PR_CAP_AMBIENT_CLEAR_ALL - clear the ambient capability set of the calling thread

LIBRARY
Standard C library (libc, -lc)

SYNOPSIS
#include <linux/prctl.h>  /* Definition of PR_* constants */
#include <sys/prctl.h>

int prctl(PR_CAP_AMBIENT, PR_CAP_AMBIENT_CLEAR_ALL, 0L, 0L, 0L);

DESCRIPTION
All capabilities will be removed from the ambient capability set.

RETURN VALUE
On success, 0 is returned. On error, -1 is returned, and errno is set to indicate the error.

VERSIONS
See PR_CAP_AMBIENT(2const).

STANDARDS
Linux.

HISTORY
Linux 4.3.

SEE ALSO
prctl(2), PR_CAP_AMBIENT(2const), libcap(3)